%define major 0
%define rname bsd
%define libname %mklibname %{rname} %{major}
%define libnamedev %mklibname %{rname} -d

Name:		libbsd
Summary:	Library providing BSD-compatible functions for portability
Group:		System/Libraries
Version:	0.8.3
Release:	%mkrel 1
License:	BSD and ISC and Copyright only and Public Domain
URL:		http://libbsd.freedesktop.org/
Source0:	http://libbsd.freedesktop.org/releases/%{name}-%{version}.tar.xz

%description
libbsd provides useful functions commonly found on BSD systems, and
lacking on others like GNU systems, thus making it easier to port
projects with strong BSD origins, without needing to embed the same
code over and over again on each project.

%package -n %{libname}
Summary:	libbsdb libary
Group:		System/Libraries
Obsoletes:	libbsd < %version
Provides:	libbsd = %version-%release

%description -n %{libname}
libbsd libary.


#--------------------------------------------------------------------
%package -n %{libnamedev}
Summary:	Development files for libbsd
Group:		Development/Libraries
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	libbsd-devel < %version
Provides:	libbsd-devel = %{version}-%{release}

%description -n %{libnamedev}
Development files for the libbsd library.



#--------------------------------------------------------------------
%prep
%setup -q

%build
%configure2_5x --disable-static
%make

%install
rm -rf %{buildroot}
%makeinstall_std

#remove uneeded file
rm -f %{buildroot}%{_libdir}/*.la


%files -n %{libname}
%defattr(-,root,root,-)
%{_libdir}/lib%{rname}.so.%{major}*


%files -n %{libnamedev}
%defattr(-,root,root,-)
%doc ChangeLog COPYING README TODO
%{_mandir}/man3/*
%{_includedir}/%{rname}/
%{_libdir}/lib%{rname}.so
%{_libdir}/libbsd-ctor.a
%{_libdir}/pkgconfig/lib%{rname}*.pc

%clean
rm -rf %{buildroot}

%changelog
* Wed May 11 2016 bb <bb> 0.8.3-1pclos2016
- update

* Fri Mar 11 2016 bb <bb> 0.8.2-1pclos2016
- update

* Sun Jan 26 2014 bb <bb> 0.6.0-1pclos2014
- update and convert to libname convention


